# Do not try to package empty debug_package
%global debug_package %{nil}

Name:		gitea
Version:	1.12.5
Release:	1%{?dist}
Summary:	Gitea is a painless self-hosted Git service.

License:	MIT
URL:		https://gitea.io
Source0:	https://github.com/go-gitea/gitea/archive/v%{version}.tar.gz
Source1:	app.ini
Source2:	gitea.service
Source3:	gitea.conf

BuildRequires:	golang >= 1.13
BuildRequires:	nodejs >= 10.13
BuildRequires:	sqlite-devel
BuildRequires:	pam-devel
BuildRequires:	systemd
BuildRequires:  git

Requires:	git

%description
Gitea is a painless self-hosted Git service

%prep
%setup -q  -n %{name}-%{version}

%build
TAGS="bindata sqlite sqlite_unlock_notify" make build

%install
%{__rm} -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_bindir}
install -m 755 gitea %{buildroot}%{_bindir}/%{name}
install -d -m 0755 %{buildroot}%{_datarootdir}/%{name}
install -m 664 custom/conf/app.ini.sample %{buildroot}%{_datarootdir}/%{name}/app.ini.sample
install -d -m 0755 %{buildroot}%{_sysconfdir}/%{name}
install -m 660 %{SOURCE1}  %{buildroot}%{_sysconfdir}/%{name}/app.ini
install -d -m 0755 %{buildroot}/%{_unitdir}
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
install -d -m 0755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 0664 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -d -m 0755 %{buildroot}%{_sharedstatedir}/%{name}
install -d -m 0755 %{buildroot}%{_localstatedir}/log/%{name}

%clean
%{__rm} -rf %{buildroot}

%pre
getent group %{name} > /dev/null || groupadd -r %{name}
getent passwd %{name} > /dev/null || \
	useradd -r -g %{name} -s /bin/bash \
	-d %{_sharedstatedir}/%{name} \
	-c "Gitea git account" %{name}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datarootdir}/%{name}/app.ini.sample
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0664,%{name},%{name}) %config(noreplace) %{_sysconfdir}/%{name}/app.ini
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}
%attr(0755,%{name},%{name}) %dir %{_sharedstatedir}/%{name}

%changelog
* Fri Nov 13 2020 Gary T. Giesen <ggiesen@giesen.me> 1.12.5-1
- Initial build
